numbers.provision
Rent a number.
Reference
POST/api/v1/managed-numbers
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · Response Provision Number Api V1 Managed Numbers Post
Buy a number and start its monthly rental.
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
telephony_configuration_id | body | integer | required | |
address | body | string | required | |
label | body | string | optional | |
inbound_workflow_id | body | integer | optional | |
country_code | body | string | default "IN" |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/managed-numbers" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"telephony_configuration_id":1,"address":"string","label":"string","inbound_workflow_id":1,"country_code":"IN"}'Response
{}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |